#!/bin/sh

PATH=$PATH:/bea/bea816/weblogic816/server/bin
JAVA_HOME=/bea/bea816/jrockit81sp6_142_10/jre

echo PATH=$PATH
echo  
echo JAVA_HOME=$JAVA_HOME
echo  


if [ ! -f bin/datagram-test.sh ]; then
  echo "datagram-test.sh: must be run from the Coherence installation directory."
  exit
fi

if [ -f $JAVA_HOME/bin/java ]; then
  JAVAEXEC=$JAVA_HOME/bin/java
else
  JAVAEXEC=java
fi

COHERENCE_HOME=.
$JAVAEXEC -server -showversion -cp "$COHERENCE_HOME/lib/tangosol.jar" com.tangosol.net.DatagramTest $*